<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout3}">
<head>
  <meta charset="UTF-8">
  <title>My PaySlip </title>
</head>
<body>

<main
        layout:fragment="main"
        class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
>
  <div th:include="sidebar/sidebar_my::sidebar_my" th:remove="tag">
    sidebar
  </div>
  <main class="bd-main-xxl">
    <div class="row">
      <div class="col-md-12">
        <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
          <i class="fa fa-money" style="color: #9B7536;"></i>
          My PaySlip
        </div>
      </div>
    </div>


    <div class="row">
      <div class="col-md-12">
        <form method="get" th:action="@{/my/payslip}">
          <div class="p-3 mb-2">
            <div class="row">
              <div class="col-md-6">
                <div class="mb-3 row">
                  <label for="selectsatu" class="col-sm-2 col-form-label">Bulan</label>
                  <div class="col-sm-10">
                    <select class="form-select" name="bulan" id="selectsatu" style="width: 100%;">

                      <option th:each="datas : ${listBulan}"
                              th:selected="(${datas} == *{bulanSelected})"
                              th:text="${datas.nama}"
                              th:value="${datas.nomor}">sdasd</option>
                    </select>
                  </div>
                </div>
                <div class="row">
                  <label for="selectdua" class="col-sm-2 col-form-label">Tahun</label>
                  <div class="col-sm-10">
                    <select class="form-select" name="tahun" id="selectdua" style="width: 100%;">
                      <option th:each="datass : ${listTahun}"
                              th:selected="(${datass} == *{tahunSelected})"
                              th:text="${datass.tahun}"
                              th:value="${datass.tahun}">sdasd</option>
                    </select>
                  </div>
                </div>

              </div>
              <div class="col-md-6">
                <button type="submit" class="btn btn-primary pull-left" id="simpan">Proces</button>
              </div>
            </div>

          </div>
        </form>
      </div>
    </div>


    <div class="row">
      <div class="col-md-12">
        <div class="alert alert-danger" th:if="${tidakada != null}">
          <h4>Payslip Not Available!</h4>

          <p th:text="${'Your Pay Slip On '+namaBulan.getNamaEnglish() + ' - ' +tahun+ ' Not Available in hris.tazkia.ac.ud.'}"></p>
        </div>

        <div class="alert alert-danger" th:if="${nonaktif != null}">
          <h4>Payslip Not Allowed!</h4>
          <p th:text="${'Your Pay Slip On '+namaBulan.getNamaEnglish() + ' - ' +tahun+ ' not allowed by admin.'}"></p>
          <p> Please contact Administrator for request your Pay Slip.</p>
        </div>
      </div>
    </div>
  </main>

</main>
</body>
</html>

